# Create a Code Analysis Test

Create a code analysis test to analyze HTML content for email client feature compatibility.

Endpoint: POST /v1/inspect/analyze
Version: 1.0.0
Security: basicAuth

## Request fields (application/json):

  - `html` (string)

  - `url` (string)

  - `mime` (string)

  - `transfer_encoding` (string)

  - `charset` (string)

## Response 200 fields (application/json):

  - `items` (object, required)
    Details of the created test including ID and links

  - `items.id` (string, required)
    Unique identifier for the created test

  - `items.links` (object, required)
    Hypermedia links for accessing test resources

  - `items.links.self` (string, required)
    URL to access this resource

## Response 400 fields (application/json):

  - `message` (string, required)
    Response message

## Response 401 fields (application/json):

  - `message` (string, required)
    Response message

